%define anolis_release 2
%global pypi_name hidapi
%global py_setup_args --with-system-hidapi

Name:     python-%{pypi_name}
Version:  0.13.1
Release:  %{anolis_release}%{?dist}
Summary:  Interface to the hidapi library

License:  GPLv3+ or BSD or Public Domain
URL:      https://github.com/trezor/cython-hidapi
Source0:  %{pypi_source hidapi}

BuildRequires: gcc
BuildRequires: hidapi-devel
BuildRequires: libusb1-devel
BuildRequires: libudev-devel

%description
%{summary}.


%package -n python3-hidapi
Summary:  %{summary}

BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-hidapi
%{summary}.

%package -n python3-hidapi-doc
Summary:  doc for python3-hidapi
Requires: python3-hidapi = %{version}-%{release}
BuildArch:      noarch

%description -n python3-hidapi-doc
doc for python3-hidapi.

%prep
%autosetup -n hidapi-%{version}

# Remove pre-built and bundled hidapi.
rm -rf hidapi hidapi.egg-info hid.c

%build
%py3_build


%install
%py3_install


%check
export PYTHONPATH="%{buildroot}%{python3_sitearch}"
%{__python3} tests.py


%files -n python3-hidapi
%license LICENSE*.txt
%doc try.py
%{python3_sitearch}/hid%{python3_ext_suffix}
%{python3_sitearch}/hidraw%{python3_ext_suffix}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python3-hidapi-doc
%doc README.rst

%changelog
* Thu Mar 02 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.13.1-2
- add BuildRequires

* Thu Feb 02 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.13.1-1
- update to version 0.13.1

* Fri May 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.11.2-1
- Init from upstream  version 0.11.2
